#========================================================================
#========================================================================
%define name 	ldas-tools-cmake
%define version 1.3.0
%define release 1
%define summary This is a collection of CMake functions specific to the LDAS Tools Suite
%define check_cmake3 ( 0%{?rhel} && 0%{?rhel} <= 7 ) || ( 0%{?fedora} && 0%{?fedora} < 26 )

#========================================================================
# Main spec file
#========================================================================
Name: 		%{name}
Summary: 	%{summary}
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPLv2+
Group: 		LSC Software/Data Analysis
Source: 	%{name}-%{version}.tar.gz
Packager: Edward Maros (ed.maroso@ligo.org)
URL: 		  "https://wiki.ligo.org/Computing/LDASTools"
BuildArch:      noarch
BuildRoot:      %{buildroot}
%if %check_cmake3
BuildRequires:  cmake3 >= 3.6
BuildRequires:  cmake
%else
BuildRequires:  cmake >= 3.6
%endif
BuildRequires:  rpm-build
BuildRequires:  python3-rpm-macros
BuildRequires:  make
BuildRequires:  gcc, gcc-c++, glibc
BuildRequires:	gawk, pkgconfig
BuildRequires:  igwn-cmake-macros >= 1.3.2
Requires:       igwn-cmake-macros >= 1.3.2
Prefix:		      %_prefix

%description
This collection of cmake macros was developed as part of
the LDAS Tools Suite to have consitency across all of the packages

#------------------------------------------------------------------------
# Get onto the fun of building the NDS software
#------------------------------------------------------------------------

%prep
%setup -q

%build
%if %check_cmake3
export PROG_CMAKE=cmake3
%else
export PROG_CMAKE=cmake
%endif
${PROG_CMAKE} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    -Wno-dev \
    .

%install
make DESTDIR=%{buildroot} install

%check
%if %check_cmake3
export PROG_CTEST=ctest3
%else
export PROG_CTEST=ctest
%endif
${PROG_CTEST} -V %{?_smp_mflags}


#----------------------------------------------
# Do the noarch files
#----------------------------------------------

%files
%_datadir/

%changelog
* Tue Dec 19 2023 Edward Maros <ed.maros@ligo.org> - 1.3.0-1
- Built for new release

* Wed Sep 29 2021 Edward Maros <ed.maros@ligo.org> - 1.2.3-1
- Built for new release

* Tue Mar 9 2021 Edward Maros <ed.maros@ligo.org> - 1.2.2-1
- Built for new release

* Wed Oct 23 2019 Edward Maros <ed.maros@ligo.org> - 1.2.1-1
- Built for new release

